Skip to main content
POST
Add to Watchlist

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

account_id
string
required

The ID of the account to retrieve.

Query Parameters

session_id
string

The session ID for user authentication.

Body

application/json
media_type
string
required

The type of media (e.g., movie, TV show).

media_id
integer
required

The unique identifier for the media.

watchlist
boolean
required

Indicates whether the media is added to the watchlist.

Response

200 - application/json;charset=utf-8

Successful

status_code
integer

Request was successfully processed by the server

status_message
string

Indicates that the action was completed without any errors